local lg = assert( love.graphics )
local mesh = lg.newMesh(
  {--attributes
    {"VertexPosition", "float", 3},
    {"VertexColor", "float", 3},
    {"VertexTexCoord", "float", 2},
  },
  {--vertices
    { 1, 0, -a,
      1, 1, 1,
      1, 0 },
    { -1, 0, -a,
      1, 0, 0,
      0, 0 },
    { 0, 1, a,
      0, 1, 0,
      1, 1, },
    { 0, -1, a,
      0, 0, 1,
      0, 1, },
  },
  "strip",
  "static"
)
mesh:setVertexMap{ 1,2,3,4,1,2 }
return mesh